Request an upload URL for a comment attachment
curl --request POST \
--url https://api.lynkwell.com/incident-management/v1/incidents/{id}/comments/upload-url \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"filename": "<string>",
"contentType": "<string>",
"networkId": "<string>"
}
'import requests
url = "https://api.lynkwell.com/incident-management/v1/incidents/{id}/comments/upload-url"
payload = {
"filename": "<string>",
"contentType": "<string>",
"networkId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({filename: '<string>', contentType: '<string>', networkId: '<string>'})
};
fetch('https://api.lynkwell.com/incident-management/v1/incidents/{id}/comments/upload-url', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"url": "<string>",
"fields": {},
"storageKey": "<string>",
"expiresAt": "2023-11-07T05:31:56Z"
}
}{
"type": "BAD_REQUEST",
"code": "<string>",
"message": "<string>"
}{
"message": "<string>"
}"<string>"{
"type": "NOT_FOUND",
"code": "<string>",
"message": "<string>"
}{
"type": "CONFLICT",
"code": "<string>",
"message": "<string>"
}{
"type": "INTERNAL_ERROR",
"message": "<string>"
}Incidents
Request an upload URL for a comment attachment
Returns a presigned POST policy for uploading one attachment (max 25MB) directly to storage. POST the file to the returned url with the returned fields, then reference the storageKey when adding the comment.
POST
/
incident-management
/
v1
/
incidents
/
{id}
/
comments
/
upload-url
Request an upload URL for a comment attachment
Authorizations
OAuth2 Client Credentials Flow
Path Parameters
Body
application/json
Request a presigned upload for a comment attachment.
Response
A presigned upload policy.
A presigned POST policy for uploading a comment attachment directly to storage.
Show child attributes
Show child attributes